﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[RMUsers]') AND name = N'UK_RelUser')
BEGIN 
PRINT 'Creating index UK_RelUser on table RMUsers'
CREATE UNIQUE NONCLUSTERED INDEX [UK_RelUser] ON [dbo].[RMUsers] 
(
	[CompanyID] ASC,
	[UserID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'RMUsers' AND COLUMN_NAME = 'CompanyID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_RMUsers_CompanyID')
BEGIN 
    PRINT 'Creating default constraint DF_RMUsers_CompanyID on table RMUsers' 
    ALTER TABLE [dbo].[RMUsers]
    ADD CONSTRAINT [DF_RMUsers_CompanyID] DEFAULT ((0)) FOR [CompanyID]
END 
GO

